# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Instance(object):

    def __init__(self, instanceId=None, name=None, carrier=None, elasticTriggerCount=None, abovePeakCount=None, inBitslimit=None, resilientBitslimit=None, businessBitslimit=None, ccThreshold=None, ruleCount=None, webRuleCount=None, chargeStatus=None, securityStatus=None, createTime=None, expireTime=None, resourceId=None, ccProtectMode=None, ccProtectStatus=None, ccSpeedLimit=None, ccSpeedPeriod=None, ipBlackList=None, ipBlackStatus=None, ipWhiteList=None, ipWhiteStatus=None, pin=None, urlWhitelist=None, urlWhitelistStatus=None, hostQps=None, hostUrlQps=None, ipHostQps=None, ipHostUrlQps=None):
        """
        :param instanceId: (Optional) 实例id
        :param name: (Optional) 实例名称
        :param carrier: (Optional) 线路，UNICOM、TELECOM
        :param elasticTriggerCount: (Optional) 触发弹性带宽的次数
        :param abovePeakCount: (Optional) 超峰次数
        :param inBitslimit: (Optional) 保底带宽
        :param resilientBitslimit: (Optional) 弹性带宽
        :param businessBitslimit: (Optional) 业务带宽大小
        :param ccThreshold: (Optional) cc阈值大小
        :param ruleCount: (Optional) 非网站类规则数
        :param webRuleCount: (Optional) 网站类规则数
        :param chargeStatus: (Optional) PAID|ARREARS|EXPIRED
        :param securityStatus: (Optional) SAFE|CLEANING|BLOCKING
        :param createTime: (Optional) 实例的创建的时间
        :param expireTime: (Optional) 实例的过期时间
        :param resourceId: (Optional) 资源id，升级和续费时使用
        :param ccProtectMode: (Optional) cc防护模式，0正常、1紧急、2宽松、3自定义
        :param ccProtectStatus: (Optional) cc开关状态，0关闭，1开启
        :param ccSpeedLimit: (Optional) cc防护模式为自定义时的限速大小
        :param ccSpeedPeriod: (Optional) cc防护模式为自定义时的限速周期
        :param ipBlackList: (Optional) ip黑名单列表
        :param ipBlackStatus: (Optional) ip黑名单状态，0关闭，1开启
        :param ipWhiteList: (Optional) ip白名单列表
        :param ipWhiteStatus: (Optional) ip白名单状态，0关闭，1开启
        :param pin: (Optional) 用户pin
        :param urlWhitelist: (Optional) url白名单列表
        :param urlWhitelistStatus: (Optional) url白名单状态，0关闭，1开启
        :param hostQps: (Optional) ccProtectMode为自定义模式时，每个Host的防护阈值
        :param hostUrlQps: (Optional) ccProtectMode为自定义模式时，每个Host+URI的防护阈值
        :param ipHostQps: (Optional) ccProtectMode为自定义模式时，每个源IP对Host的防护阈值
        :param ipHostUrlQps: (Optional) ccProtectMode为自定义模式时，每个源IP对Host+URI的防护阈值
        """

        self.instanceId = instanceId
        self.name = name
        self.carrier = carrier
        self.elasticTriggerCount = elasticTriggerCount
        self.abovePeakCount = abovePeakCount
        self.inBitslimit = inBitslimit
        self.resilientBitslimit = resilientBitslimit
        self.businessBitslimit = businessBitslimit
        self.ccThreshold = ccThreshold
        self.ruleCount = ruleCount
        self.webRuleCount = webRuleCount
        self.chargeStatus = chargeStatus
        self.securityStatus = securityStatus
        self.createTime = createTime
        self.expireTime = expireTime
        self.resourceId = resourceId
        self.ccProtectMode = ccProtectMode
        self.ccProtectStatus = ccProtectStatus
        self.ccSpeedLimit = ccSpeedLimit
        self.ccSpeedPeriod = ccSpeedPeriod
        self.ipBlackList = ipBlackList
        self.ipBlackStatus = ipBlackStatus
        self.ipWhiteList = ipWhiteList
        self.ipWhiteStatus = ipWhiteStatus
        self.pin = pin
        self.urlWhitelist = urlWhitelist
        self.urlWhitelistStatus = urlWhitelistStatus
        self.hostQps = hostQps
        self.hostUrlQps = hostUrlQps
        self.ipHostQps = ipHostQps
        self.ipHostUrlQps = ipHostUrlQps
