# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class WebRule(object):

    def __init__(self, id=None, instanceId=None, domain=None, cname=None, protocol=None, port=None, httpsPort=None, originType=None, originAddr=None, onlineAddr=None, originDomain=None, httpsCertContent=None, httpsRsaKey=None, httpCertStatus=None, status=None, ccStatus=None, algorithm=None, forceJump=None, customPortStatus=None, httpOrigin=None):
        """
        :param id: (Optional) 规则id
        :param instanceId: (Optional) 实例id
        :param domain: (Optional) 子域名
        :param cname: (Optional) 规则的cname
        :param protocol: (Optional) 协议：HTTP、HTTPS、HTTP_HTTPS
        :param port: (Optional) HTTP协议的端口号，如80,81，多个端口号使用逗号分隔
        :param httpsPort: (Optional) HTTPS协议的端口号，如443,8443，多个端口号使用逗号分隔
        :param originType: (Optional) 回源类型：A或者CNAME
        :param originAddr: (Optional) 
        :param onlineAddr: (Optional) 
        :param originDomain: (Optional) 回源域名,originType为CNAME时返回该字段
        :param httpsCertContent: (Optional) 证书内容
        :param httpsRsaKey: (Optional) 证书私钥
        :param httpCertStatus: (Optional) 证书状态：0异常，1正常
        :param status: (Optional) 0防御状态，1回源状态
        :param ccStatus: (Optional) 0 CC关闭 1 CC开启
        :param algorithm: (Optional) 转发规则：wrr->带权重的轮询，rr->不带权重的轮询
        :param forceJump: (Optional) 是否开启https强制跳转，当protocol为HTTP_HTTPS时可以配置该属性 0为不强跳 1为开启强跳
        :param customPortStatus: (Optional) 是否为自定义端口号，0为默认 1为自定义
        :param httpOrigin: (Optional) 是否开启http回源，0为不开启 1为开启，当勾选HTTPS时可以配置该属性
        """

        self.id = id
        self.instanceId = instanceId
        self.domain = domain
        self.cname = cname
        self.protocol = protocol
        self.port = port
        self.httpsPort = httpsPort
        self.originType = originType
        self.originAddr = originAddr
        self.onlineAddr = onlineAddr
        self.originDomain = originDomain
        self.httpsCertContent = httpsCertContent
        self.httpsRsaKey = httpsRsaKey
        self.httpCertStatus = httpCertStatus
        self.status = status
        self.ccStatus = ccStatus
        self.algorithm = algorithm
        self.forceJump = forceJump
        self.customPortStatus = customPortStatus
        self.httpOrigin = httpOrigin
