# coding=utf8

# Copyright 2018-2025 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateSecretRequest(JDCloudRequest):
    """
    创建 secret
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateSecretRequest, self).__init__(
            '/regions/{regionId}/secrets', 'POST', header, version)
        self.parameters = parameters


class CreateSecretParameters(object):

    def __init__(self, regionId, name, secretType, ):
        """
        :param regionId: Region ID
        :param name: 机密数据名称，不能重复
        :param secretType: 私密数据的类型，目前仅支持如下类型：docker-registry：用来和docker registry认证的类型
        """

        self.regionId = regionId
        self.name = name
        self.secretType = secretType
        self.data = None

    def setData(self, data):
        """
        :param data: (Optional) 机密的数据
        """
        self.data = data

