# coding=utf8

# Copyright 2018-2025 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetLogsRequest(JDCloudRequest):
    """
    查询容器日志
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetLogsRequest, self).__init__(
            '/regions/{regionId}/containers/{containerId}:getLogs', 'GET', header, version)
        self.parameters = parameters


class GetLogsParameters(object):

    def __init__(self, regionId, containerId, ):
        """
        :param regionId: Region ID
        :param containerId: Container ID
        """

        self.regionId = regionId
        self.containerId = containerId
        self.tailLines = None
        self.sinceSeconds = None
        self.limitBytes = None

    def setTailLines(self, tailLines):
        """
        :param tailLines: (Optional) 
        """
        self.tailLines = tailLines

    def setSinceSeconds(self, sinceSeconds):
        """
        :param sinceSeconds: (Optional) 
        """
        self.sinceSeconds = sinceSeconds

    def setLimitBytes(self, limitBytes):
        """
        :param limitBytes: (Optional) 
        """
        self.limitBytes = limitBytes

