# coding=utf8

# Copyright 2018-2025 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class CacheInstanceSpec(object):

    def __init__(self, vpcId, subnetId, cacheInstanceName, cacheInstanceClass, password, azId, cacheInstanceDescription=None):
        """
        :param vpcId:  所属VPC的ID
        :param subnetId:  所属子网的ID
        :param cacheInstanceName:  实例名称，只支持数字、字母、英文下划线、中文，且不少于2字符不超过32字符
        :param cacheInstanceClass:  实例规格代码，参见实例规格代码表。
        :param password:  密码，必须包含且只支持字母及数字，不少于8字符不超过16字符
        :param azId:  缓存Redis实例所在区域可用区ID信息
        :param cacheInstanceDescription: (Optional) 缓存Redis实例描述
        """

        self.vpcId = vpcId
        self.subnetId = subnetId
        self.cacheInstanceName = cacheInstanceName
        self.cacheInstanceClass = cacheInstanceClass
        self.password = password
        self.azId = azId
        self.cacheInstanceDescription = cacheInstanceDescription
