# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateImageRequest(JDCloudRequest):
    """
    "虚机创建私有镜像"
"虚机状态必须为stopped"
"如果虚机上有挂载数据盘，默认会将数据盘创建快照，生成打包镜像"
"主机没有未完成的任务才可制作镜像"

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateImageRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}:createImage', 'POST', header, version)
        self.parameters = parameters


class CreateImageParameters(object):

    def __init__(self, regionId, instanceId, name, description, ):
        """
        :param regionId: Region ID
        :param instanceId: Instance ID
        :param name: 名称
        :param description: 描述
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.name = name
        self.description = description
        self.dataDisks = None

    def setDataDisks(self, dataDisks):
        """
        :param dataDisks: (Optional) 数据盘列表，如果指定，则随镜像一起打包创建快照，实际最多不能超过4个
        """
        self.dataDisks = dataDisks

