# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyImageAttributeRequest(JDCloudRequest):
    """
    修改镜像信息
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyImageAttributeRequest, self).__init__(
            '/regions/{regionId}/images/{imageId}:modifyImageAttribute', 'POST', header, version)
        self.parameters = parameters


class ModifyImageAttributeParameters(object):

    def __init__(self, regionId, imageId, ):
        """
        :param regionId: Region ID
        :param imageId: Image ID
        """

        self.regionId = regionId
        self.imageId = imageId
        self.name = None
        self.description = None

    def setName(self, name):
        """
        :param name: (Optional) 名称；名称和描述必传其中一个；不为空且只允许中文、数字、大小写字母、英文下划线“_”及中划线“-”，长度不超过32字符
        """
        self.name = name

    def setDescription(self, description):
        """
        :param description: (Optional) 描述；名称和描述必传其中一个；长度不超过256个字符
        """
        self.description = description

