# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class RebuildInstanceRequest(JDCloudRequest):
    """
    云主机使用指定镜像重置实例镜像，需要关机操作，
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(RebuildInstanceRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}:rebuildInstance', 'POST', header, version)
        self.parameters = parameters


class RebuildInstanceParameters(object):

    def __init__(self, regionId, instanceId, password, ):
        """
        :param regionId: Region ID
        :param instanceId: Instance ID
        :param password: 云主机密码
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.password = password
        self.imageId = None
        self.keyNames = None

    def setImageId(self, imageId):
        """
        :param imageId: (Optional) 镜像ID
        """
        self.imageId = imageId

    def setKeyNames(self, keyNames):
        """
        :param keyNames: (Optional) 密钥对名称；当前只支持一个
        """
        self.keyNames = keyNames

